/********************************************************************************************
	main          2024-08-09
*********************************************************************************************/
/*****************************************************************************************************
	scrollbars
******************************************************************************************************/
* {
	-ms-overflow-style: thin;
	scrollbar-color: #666 #F5F5F5;
	scrollbar-width: thin;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background: #f1f1f1; 
	background-color: #F5F5F5;
}


::-webkit-scrollbar {
	width: 6px;
	height: 8px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
	background: #888; 
	background-color: #666;
	cursor: pointer!important;
}

::-webkit-scrollbar-thumb:hover {
	background: #ffcd00;		 
}

.row.layout ::-webkit-scrollbar-track {
	background-color: #def1f7;
}

.row.layout ::-webkit-scrollbar-thumb {
	background: #76a4b1;
	background: #107490;
}

.row.layout ::-webkit-scrollbar-thumb:hover {
	background: #afdff6;
}
/********************************************************************************************
	override bootstrap
*********************************************************************************************/
body > .container {
	width: unset;
	max-width: unset;
	padding: 0;
}

.container {
	max-width: unset;
}

.modal-backdrop {
	z-index: auto;
}

body > span:last-child,
body > span[style="display: inline-block;"] {
	display: none!important;
}

abbr[title], abbr[data-original-title] {
    border-bottom: unset;
	text-decoration: none;
}
/********************************************************************************************
	overrides
*********************************************************************************************/
.cdfNotificationContainer {
	text-align: center;
	line-height: 100vh;
	pointer-events: none;
	font-size: 80%;
}

/********************************************************************************************
	estils generals
*********************************************************************************************/
html, body {
	width: 100vw;
	height: 100%;
	min-height: 100vh;
	overflow-x: hidden;
}

body {
	font-family: 'Montserrat', 'Calibri', Arial, Helvetica, sans-serif;
	font-size: 16px;
	line-height: 130%;
	color: #333;
	background-color: #f1f1f1;
	background-color: #D2D2D2;
	background: linear-gradient(120deg, rgba(201,215,224,1) 0%, rgba(221,226,230,1) 11%, rgba(237,243,247,1) 17%, rgba(198,218,228,1) 41%, rgba(191,211,219,1) 66%, rgba(172,183,204,1) 81%, rgba(154,166,196,1) 88%, rgba(94,109,152,1) 100%);
	background: linear-gradient(120deg, rgb(201, 215, 224) 0%, rgb(221, 226, 230) 11%, rgb(237, 243, 247) 17%, rgb(198, 218, 228) 41%, rgb(191, 211, 219) 66%, rgb(147, 192, 191) 81%, rgb(134, 193, 191) 88%, rgb(122, 166, 165) 100%);


	-webkit-animation-delay: 0.1s;
	-webkit-animation-name: fontfix;
	-webkit-animation-duration: 0.1s;
	-webkit-animation-iteration-count: 1;
	-webkit-animation-timing-function: linear;
}

@-webkit-keyframes fontfix {
	from { opacity: 1; }
	to { opacity: 1; }
}


/********************************************************************************************
	textos
*********************************************************************************************/
h1, h2, h3, h4, h5, h6 {
	line-height: 100%;
	font-weight: 500;
	display: inline-block;
	color: #333;
	text-transform: uppercase;
}

h1 {
	font-size: 1.6rem;
}
h2 {
	font-size: 1.2rem;
}
section h3,
section h4 {
	text-align: center;
	width: 100%;
	height: 25px;
	line-height: 25px;
	margin-bottom: 0;
}

section h3 {
	color: #666;
}

/* boton info */
button.info,
.modal.info button.tancar {
	position: absolute;
	z-index: 2;
	height: 40px;
	width: 40px;
	border-radius: 50%;
	border: 2px solid transparent;
	background-color: transparent;
	overflow: hidden;
	text-indent: 1000px;
	color: transparent;
	font-size: 80%;
	padding: 0;
	background-position: 50% 50%;
	background-size: auto 26px;
	background-repeat: no-repeat;
	cursor: pointer;
}

button.info {
	background-image: url(../../images/FFF/info.svg);
	background-color: #666;
	border: 5px solid #fafafa;
	top: 1px;
    height: 37px;
    width: 37px;
}

button.info:hover {
	background-color: #457B9D;
	border-color: #457B9D;
}

/* +992px
*********************************************************************************************/
@media only screen and (min-width: 992px){
	h2,
	main .main_container .layout .titulo.tab h2,
	h3, h4, h5, h6 {
		font-size: 1.2rem;
	}
	
	main .container.body .main_container .row.layout div[class^="col-"] .contenedor div[class^="col-"]:first-child {	
		padding-left: 0;
	}

	main .container.body .main_container .row.layout div[class^="col-"] .contenedor div[class^="col-"]:last-child {	
		padding-right: 0;
	}

    /* min 992px > Row more
	**********************************/
	.row.more,
	.row.more:last-of-type {
		height: 26px;
	}
	section.more {
		height: 26px;
	}
	button.info,
	.modal.info button.tancar {
		height: 20px;
		width: 20px;
		border: 2px solid #666;
		margin-top: 2px;
	}
	.modal.info button.tancar {
		border: 2px solid #fff;
		box-sizing: content-box;
	}
	.modal.info button.tancar:hover {
		border: 2px solid #ffcd00;
	}
	.row.more .infomodal button.info {
		bottom: 3px;
		left: 3px;
	}
}
/* +1270px
*********************************************************************************************/
@media only screen and (min-width: 1270px) {
	h2,
	main .main_container .layout .titulo.tab h2,
	h3, h4, h5, h6 {
		font-size: 1.3rem;
	}
	
	@media only screen and (min-height: 950px) {
		h2,
		main .main_container .layout .titulo.tab h2,
		h3, h4, h5, h6 {
			font-size: 1.4rem;
		}
	}
}
/* +1440px
*********************************************************************************************/
@media only screen and (min-width: 1440px) {	
	@media screen and (-webkit-min-device-pixel-ratio:0) {
		h2 {
			font-size: 0.7vw;
		}
	}
}
/***************************************************************************
    Enlaces
******************************************************************************/
a {
	color: #666;
	cursor: pointer;
	text-decoration: underline solid #666 1px;
}

a:hover,
a:focus {
	color: #333;
	text-decoration: underline solid #333 1px;
}

b { font-weight: 600;}

sup,
sub {
	font-size: 60%;
}

a.external {
	width: 22px;
	height: 22px;
	color: transparent;
	overflow: hidden;
	text-decoration: none;
	opacity: .8;
	background-image: url(../images/external.svg);
	background-repeat: no-repeat;
	background-position: 50% 50%;
	background-size: auto 18px;
	float: right;
	cursor: pointer;
}

a.external:hover {
	opacity: 1;
}

/********************************************************************************************
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	main
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
*********************************************************************************************/
main .container.body,
main .container.body .main_container,
main .container.body .main_container > .container {	
	height: auto;
	margin: 0;
	padding: 0;
	border: 1px solid transparent;
}

main .container.body .main_container {	
	padding: 2px 0 0 5px;
}

@media only screen and (min-width: 992px){
	/* min 992px > main
	***********************************/
	main {
		height: 100%;
	}
}
/* +1440px
*********************************************************************************************/
@media only screen and (min-width: 1440px) {
	main .container.body .main_container .row.layout:nth-child(2):nth-last-child(2) {	
		margin: 0 0 1vh 0;
	}
}
/********************************************************************************************
	Fecha datos
*********************************************************************************************/
.lastdata {
	font-size: 1rem;
	line-height: 170%;
	color: #333;
	text-align: right;
	margin: 0;
}

/********************************************************************************************
	Footer
*********************************************************************************************/
footer {
	display: none;
}

/********************************************************************************************
	max 992px
*********************************************************************************************/
@media only screen and (max-width: 992px){
	main .container.body .main_container .row.layout > div[class^="col-"] {	
		height: auto;
		margin-bottom: 20px;
	}
	.contenedor section {
	  height: 40vh;
	}
	
	main .container.body .main_container .row.layout > div[class^="col-"] .contenedor {
		height: auto;
		max-height: unset;
	}
}


/********************************************************************************************
	+1920px
*********************************************************************************************/
@media only screen and (min-width: 1870px) {
	main .container.body .main_container .row.layout {
		margin-bottom: 0;
		min-height: unset;
		height:  auto;
		padding-bottom: 0;
	}
	.row.layout:last-child .contenedor:last-child,
	.row.layout:last-child .row.more:last-child {
		margin-bottom: 0!important;
	}
	
	@media only screen and (min-height: 900px){
		.contenedor section {
			margin: 0 auto;
		}
	}
		
	@media only screen and (min-height: 950px){		
		.contenedor section {
			margin: 5px auto;
		}
	}
}